diff --git a/web/.pycodestyle b/web/.pycodestyle
new file mode 100644
index 0000000..ec01c1a
--- /dev/null
+++ b/web/.pycodestyle
@@ -0,0 +1,9 @@
+[pycodestyle]
+ignore = E402
+max-line-length = 79
+statistics = True
+show-source = False
+show-pep8 = False
+count = True
+format = pylint
+exclude = migrations,node_modules
diff --git a/web/package.json b/web/package.json
index 43f96ca..8542797 100644
--- a/web/package.json
+++ b/web/package.json
@@ -95,6 +95,7 @@
     "test:karma-once": "yarn run linter && yarn run karma start --single-run",
     "test:karma": "yarn run linter && yarn run karma start",
     "test:feature": "yarn run bundle && python regression/runtests.py --pkg feature_tests",
-    "test": "yarn run test:karma-once && yarn run bundle && python regression/runtests.py"
+    "test": "yarn run test:karma-once && yarn run bundle && python regression/runtests.py",
+    "pep8": "pycodestyle --config=.pycodestyle ."
   }
 }
diff --git a/web/regression/requirements.txt b/web/regression/requirements.txt
index 69f4a27..cb93353 100644
--- a/web/regression/requirements.txt
+++ b/web/regression/requirements.txt
@@ -1,3 +1,12 @@
+#####################################
+# Include all the common dependencies
+#####################################
+-r ../../requirements.txt
+
+###########################################
+# Add all the development dependencies here
+###########################################
+pycodestyle==2.3.1
 pyperclip~=1.5.27
 selenium==3.3.3; python_version < '2.7'
 selenium==3.7.0; python_version >= '2.7'
@@ -7,5 +16,6 @@ traceback2==1.4.0
 unittest2==1.1.0
 mock===2.0.0; python_version < '3.3'
 
-# Leave this at the end because there is a bug where the '--install-option' is applied to all subsequent requirements
+# Leave this at the end because there is a bug where the '--install-option'
+# is applied to all subsequent requirements
 chromedriver_installer==0.0.6 --install-option='--chromedriver-version=2.33'
